开源改变世界!!

单元测试失败 #182

推推 grbl 1年前 (2023-01-26) 110次浏览
关闭
droidmunkey 打开了这个问题 2014 年 8 月 16 日 · 2 条评论
关闭

单元测试失败#182

droidmunkey 打开了这个问题 2014 年 8 月 16 日 · 2 条评论

注释

单元测试失败 #182

我正在尝试编译 UGCS,我已经进行了单元测试,但它们失败得很厉害。有什么我想念的吗?我更新了异常以传回实际的错误消息

[junit] ————– 标准输出 ————–
[junit] commandSent
[junit] appendGcodeFile
[junit] rawResponseListener
[junit] closeCommPort/ isCommOpen
[junit] isStreamingFile
[junit] commandComplete
[junit] 异常:试图完成不存在的命令:<(-1)>
[junit] openCommPort/isCommOpen
[junit] verboseMessageForConsole
[junit] rowsInSend / rowsSent / rowsRemaining
[ junit] beginStreaming
[junit] messageForConsole
[junit] testPolling(通过 rawResponseListener)
[junit] preprocessAndAppendGcodeCommand
[junit] resumeStreaming
[junit] addListener
[junit] getSendDuration
[junit] performHomingCycle
[junit] pauseStreaming
[junit] cancelSend
[junit] getGrblVersion
[junit] setSpeedOverride/getSpeedOverride
[junit] issueSoftReset
[junit] isReadyToStreamFile
[junit] queueStringForComm
[junit] ————– ————– ————–
[junit] ————– 标准错误 – ————–
[junit] java.lang.Exception:命令不等于预期命令
[junit] at com.willwinder.universalgcodesender.AbstractController.commandSent(AbstractController.java:635 )
[junit] 在 com.willwinder.universalgcodesender.GrblControllerTest.testRowsAsteriskMethods(GrblControllerTest.java:436)
[junit] 在 sun.reflect.NativeMethodAccessorImpl.invoke0(本机方法)
[junit] 在 sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
[junit] 在 sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43 ) )
[junit] 在 java.lang.reflect.Method.invoke(Method.java:606)
[junit] 在 org.junit.runners.model.FrameworkMethod$1.runReflectiveCall(FrameworkMethod.java:47)
[junit] 在组织。 junit.internal.runners.model.ReflectiveCallable.run(ReflectiveCallable.java:12)
[junit] 在 org.junit.runners.model.FrameworkMethod.invokeExplosively(FrameworkMethod.java:44)
[junit] 在 org.junit.internal。 runners.statements.InvokeMethod.evaluate(InvokeMethod.java:17)
[junit] 在 org.junit.internal.runners.statements.RunBefores.evaluate(RunBefores.java:26)
[junit] 在 org.junit.internal.runners.statements.RunAfters.evaluate(RunAfters.java:27)
[junit ] 在 org.junit.runners.ParentRunner.runLeaf ( ParentRunner.java:271
)
runChild(BlockJUnit4ClassRunner.java:50)
[junit] 在 org.junit.runners.ParentRunner$3.run(ParentRunner.java:238)
[junit] 在 org.junit.runners.ParentRunner$1.schedule(ParentRunner.java:63)
[junit] 在 org.junit.runners.ParentRunner.runChildren(ParentRunner.java:236)
[junit] 在 org.junit.runners.ParentRunner.access$000(ParentRunner.java:53)
[junit] 在 org.junit.runners.ParentRunner$2.evaluate(ParentRunner.java:229)
[junit] 在 org.junit。 runners.ParentRunner.run(ParentRunner.java:309)
[junit] 在 junit.framework.JUnit4TestAdapter.run(JUnit4TestAdapter.java:38)
[junit] 在 org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner。运行(JUnitTestRunner.java:532)[junit
] 在 org.apache.tools.ant.taskdefs.optional.junit.JUnitTestRunner.launch(JUnitTestRunner.java:1165)
[junit] 在 org.apache.tools.ant.taskdefs。 optional.junit.JUnitTestRunner.main(JUnitTestRunner.java:1016)
[junit] java.lang.Exception: 命令不等于预期命令

单元测试失败 #182
所有者

感谢您的关注,看起来从 11 月开始就是这样。这实际上不是问题,只是很多不必要的控制台输出。如果转到 NetBeans 中的“测试结果”选项卡,测试应该仍会通过。

在 AbstractController.java 中的代码中有一个地方看起来像这样:
try{
throw new Exception();
} catch (Exception e) {
e.printStackTrace();
}

我可能在某个时候添加它进行调试以查看何时调用函数并忘记将其取出!

单元测试失败 #182 收卷  关闭此作为完成 2b0373f 2014 年 8 月 16 日
喜欢 (0)